Debian

Available patches from Ubuntu

To see Ubuntu differences wrt. to Debian, write down a grep-dctrl query identifying the packages you're interested in:
grep-dctrl -n -sPackage Sources.Debian
(e.g. -FPackage linux-ntfs or linux-ntfs)

Modified packages are listed below:

Debian ( Changelog | PTS | Bugs ) Ubuntu ( Changelog | txt | LP | Bugs ) | Diff from Ubuntu

Source: php-horde-mapi

php-horde-mapi (1.0.8-2ubuntu2) bionic; urgency=medium * debian/patches/phpunit6_compat.patch: PHPUnit 6 has namespaced classes. -- Nishanth Aravamudan <nish.aravamudan@canonical.com> Tue, 20 Feb 2018 17:11:45 -0800 php-horde-mapi (1.0.8-2ubuntu1) yakkety; urgency=medium * d/tests/control: allow stderr output, as deprecated warnings from BigInteger are reported with PHP7.0 (LP: #1593003). -- Nishanth Aravamudan <nish.aravamudan@canonical.com> Thu, 16 Jun 2016 13:58:14 -0700

Modifications :
  1. Download patch debian/tests/control

    --- 1.0.8-2/debian/tests/control 2016-06-08 07:09:58.000000000 +0000 +++ 1.0.8-2ubuntu2/debian/tests/control 2016-06-17 15:01:03.000000000 +0000 @@ -1,3 +1,3 @@ Tests: phpunit -Restrictions: needs-recommends +Restrictions: needs-recommends, allow-stderr Depends: @, php-cli, php-horde-test
  2. Download patch debian/control

    --- 1.0.8-2/debian/control 2016-06-08 07:09:58.000000000 +0000 +++ 1.0.8-2ubuntu2/debian/control 2016-06-17 15:01:31.000000000 +0000 @@ -1,7 +1,8 @@ Source: php-horde-mapi Section: php Priority: extra -Maintainer: Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org> +Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com> +XSBC-Original-Maintainer: Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org> Uploaders: Mathieu Parent <sathieu@debian.org> Build-Depends: debhelper (>= 9), pkg-php-tools (>= 1~), pear-horde-channel Standards-Version: 3.9.8
  3. Download patch debian/patches/phpunit6_compat.patch

    --- 1.0.8-2/debian/patches/phpunit6_compat.patch 1970-01-01 00:00:00.000000000 +0000 +++ 1.0.8-2ubuntu2/debian/patches/phpunit6_compat.patch 2018-02-21 01:11:43.000000000 +0000 @@ -0,0 +1,16 @@ +Description: PHPUnit 6 has namespaced classes +Author: Nishanth Aravamudan <nish.aravamudan@canonical.com> +Forwarded: Will be done by Nishanth Aravamudan +Last-Update: 2018-02-21 + +--- php-horde-mapi-1.0.8.orig/Horde_Mapi-1.0.8/test/Horde/Mapi/MapiTest.php ++++ php-horde-mapi-1.0.8/Horde_Mapi-1.0.8/test/Horde/Mapi/MapiTest.php +@@ -16,7 +16,7 @@ + * @package Mapi_Utils + * @subpackage UnitTests + */ +-class Horde_Mapi_MapiTest extends PHPUnit_Framework_TestCase ++class Horde_Mapi_MapiTest extends PHPUnit\Framework\TestCase + { + + public function testFiletimeToUnixTime()
  4. Download patch debian/patches/series

    --- 1.0.8-2/debian/patches/series 1970-01-01 00:00:00.000000000 +0000 +++ 1.0.8-2ubuntu2/debian/patches/series 2018-02-21 01:11:26.000000000 +0000 @@ -0,0 +1 @@ +phpunit6_compat.patch
  1. php-horde-mapi